Create Maintenance Schedules Using POST

Create Maintenance Schedules Using POST

Using this method, you can create a particular maintenance schedules

Request
URI
POST
https://{api_host}/suite-api/api/maintenanceschedules
COPY
Request Body

The maintenance schedule to be created

maintenance-schedule of type(s) application/json
Required
{
    "id": "string",
    "key": "string",
    "schedule": {
        "dayOfTheMonth": 0,
        "daysOfTheMonth": [
            "string"
        ],
        "daysOfTheWeek": [
            "string"
        ],
        "duration": 0,
        "expirationDate": "string",
        "expireRuns": 0,
        "hour": 0,
        "minuteOfTheHour": 0,
        "month": 0,
        "months": [
            0
        ],
        "recurrence": 0,
        "scheduleType": "string",
        "startDate": "string",
        "timeZone": "string",
        "weeksOfTheMonth": [
            "string"
        ]
    }
}
string As uuid As uuid
id
Optional

Identifier generated by the server for this schedule.

string
key
Required

Schedule key provided by user. Cannot be null during creation.

schedule
Required

schedule

Authentication
This operation uses the following authentication methods.
Responses
201

The maintenance schedule created

Returns maintenance-schedule of type(s) application/json
{
    "id": "string",
    "key": "string",
    "schedule": {
        "dayOfTheMonth": 0,
        "daysOfTheMonth": [
            "string"
        ],
        "daysOfTheWeek": [
            "string"
        ],
        "duration": 0,
        "expirationDate": "string",
        "expireRuns": 0,
        "hour": 0,
        "minuteOfTheHour": 0,
        "month": 0,
        "months": [
            0
        ],
        "recurrence": 0,
        "scheduleType": "string",
        "startDate": "string",
        "timeZone": "string",
        "weeksOfTheMonth": [
            "string"
        ]
    }
}
string As uuid As uuid
id
Optional

Identifier generated by the server for this schedule.

string
key
Required

Schedule key provided by user. Cannot be null during creation.

schedule
Required

schedule


400

Invalid request parameters or request body

Operation doesn't return any data structure

422

A maintenance schedule with the same key already exists

Operation doesn't return any data structure